! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 8.1.
  program I01
    use I01M
    implicit none
    integer :: I, K  ! K is an ACID variable
    integer, parameter :: V_SIZE = 20
    real, dimension(V_SIZE), parameter :: B = 15.0, C = (/ (2.0 * K, K = 1, V_SIZE) /)
! start program I01
    I = 5
    call Find( B(I), C, I )
    write (unit = *, fmt = *) I
    stop
  end program I01
